Debian Bug report logs - #494058
epiphany-browser: Download window is broken

version graph

Package: epiphany-gecko; Maintainer for epiphany-gecko is Josselin Mouette <joss@debian.org>;

Reported by: Sam Morris <sam@robots.org.uk>

Date: Wed, 6 Aug 2008 23:57:02 UTC

Severity: important

Tags: fixed-upstream

Merged with 509161

Found in version epiphany-browser/2.22.3-8

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=547854, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=535127

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
New Bug report received and forwarded. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: epiphany-browser: Download window is broken
Date: Thu, 07 Aug 2008 00:51:39 +0100
[Message part 1 (text/plain, inline)]
Package: epiphany-browser
Version: 2.22.3-1
Severity: important

This is rather strange. Today I noticed that the download window had
been redesigned. It now looks like the window from Firefox 3, except
that it no longer displays any downloads at all!

Screenshot attached.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (530, 'testing'), (520, 'unstable'), (510, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages epiphany-browser depends on:
ii  epiphany-gecko                2.22.3-1   Intuitive GNOME web browser - Geck

epiphany-browser recommends no packages.

epiphany-browser suggests no packages.

Versions of packages epiphany-gecko depends on:
ii  dbus                   1.2.1-2           simple interprocess messaging syst
ii  epiphany-browser-data  2.22.3-1          Data files for the GNOME web brows
ii  gnome-icon-theme       2.22.0-1          GNOME Desktop icon theme
ii  iso-codes              3.1-1             ISO language, territory, currency,
ii  libart-2.0-2           2.3.20-2          Library of functions for 2D graphi
ii  libatk1.0-0            1.22.0-1          The ATK accessibility toolkit
ii  libavahi-client3       0.6.22-3          Avahi client library
ii  libavahi-common3       0.6.22-3          Avahi common library
ii  libavahi-gobject0      0.6.22-3          Avahi GObject library
ii  libbonobo2-0           2.22.0-1          Bonobo CORBA interfaces library
ii  libbonoboui2-0         2.22.0-1          The Bonobo UI library
ii  libc6                  2.7-10            GNU C Library: Shared libraries
ii  libcairo2              1.6.4-6           The Cairo 2D vector graphics libra
ii  libdbus-1-3            1.2.1-2           simple interprocess messaging syst
ii  libdbus-glib-1-2       0.76-1            simple interprocess messaging syst
ii  libenchant1c2a         1.4.2-3           a wrapper library for various spel
ii  libfontconfig1         2.6.0-1           generic font configuration library
ii  libfreetype6           2.3.7-1           FreeType 2 font engine, shared lib
ii  libgcc1                1:4.3.1-2         GCC support library
ii  libgconf2-4            2.22.0-1          GNOME configuration database syste
ii  libglade2-0            1:2.6.2-1         library to load .glade files at ru
ii  libglib2.0-0           2.16.4-2          The GLib library of C routines
ii  libgnome-desktop-2     2.22.3-1          Utility library for loading .deskt
ii  libgnome2-0            2.20.1.1-1        The GNOME 2 library - runtime file
ii  libgnomecanvas2-0      2.20.1.1-1        A powerful object-oriented display
ii  libgnomeui-0           2.20.1.1-1        The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0         1:2.22.0-4        GNOME Virtual File System (runtime
ii  libgtk2.0-0            2.12.10-2         The GTK+ graphical user interface 
ii  libice6                2:1.0.4-1         X11 Inter-Client Exchange library
ii  libnotify1 [libnotify1 0.4.4-3sam1       sends desktop notifications to a n
ii  libnspr4-0d            4.7.1-3           NetScape Portable Runtime Library
ii  liborbit2              1:2.14.13-0.1     libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0          1.20.5-1          Layout and rendering of internatio
ii  libpixman-1-0          0.10.0-2          pixel-manipulation library for X a
ii  libpng12-0             1.2.27-1          PNG library - runtime
ii  libpopt0               1.14-4            lib for parsing cmdline parameters
ii  libsm6                 2:1.0.3-2         X11 Session Management library
ii  libstartup-notificatio 0.9-1             library for program launch feedbac
ii  libstdc++6             4.3.1-2           The GNU Standard C++ Library v3
ii  libx11-6               2:1.1.4-2         X11 client-side library
ii  libxcb-render-util0    0.2+git36-1       utility libraries for X C Binding 
ii  libxcb-render0         1.1-1.1           X C Binding, render extension
ii  libxcb1                1.1-1.1           X C Binding
ii  libxcursor1            1:1.1.9-1         X cursor management library
ii  libxext6               2:1.0.4-1         X11 miscellaneous extension librar
ii  libxfixes3             1:4.0.3-2         X11 miscellaneous 'fixes' extensio
ii  libxi6                 2:1.1.3-1         X11 Input extension library
ii  libxinerama1           2:1.0.3-2         X11 Xinerama extension library
ii  libxml2                2.6.32.dfsg-2     GNOME XML library
ii  libxrandr2             2:1.2.3-1         X11 RandR extension library
ii  libxrender1            1:0.9.4-2         X Rendering Extension client libra
ii  libxslt1.1             1.1.24-2          XSLT processing library - runtime 
ii  python2.5              2.5.2-6           An interactive high-level object-o
ii  xulrunner-1.9          1.9.0.1-1         XUL + XPCOM application runner
ii  xulrunner-1.9-gnome-su 1.9.0.1-1         Support for GNOME in xulrunner app
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

-- no debconf information
[Screenshot-Downloads.png (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #10 received at 494058@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 494058@bugs.debian.org
Subject: Re: epiphany-browser: Download window is broken
Date: Thu, 14 Aug 2008 11:08:49 +0100
This happens on my amd64 system if I hit the Print button on
<http://www.printfreegraphpaper.com/>.

-- 
Sam Morris <sam@robots.org.uk>




Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=547854. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Thu, 14 Aug 2008 23:57:58 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Fri, 15 Aug 2008 17:36:02 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from http://bugzilla.gnome.org/show_bug.cgi?id=547854 to http://bugzilla.gnome.org/show_bug.cgi?id=547854, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=535127. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Sat, 16 Aug 2008 20:07:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Thu, 02 Oct 2008 13:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 494058@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 02 Oct 2008 13:03:02 GMT) Full text and rfc822 format available.

Message #21 received at 494058@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Sam Morris <sam@robots.org.uk>, 494058@bugs.debian.org
Subject: Re: Bug#494058: epiphany-browser: Download window is broken
Date: Thu, 02 Oct 2008 15:00:13 +0200
[Message part 1 (text/plain, inline)]
Le jeudi 07 août 2008 à 00:51 +0100, Sam Morris a écrit :
> Package: epiphany-browser
> Version: 2.22.3-1
> Severity: important
> 
> This is rather strange. Today I noticed that the download window had
> been redesigned. It now looks like the window from Firefox 3, except
> that it no longer displays any downloads at all!

In 2 months time, this bug never occurred once to me. Do you have any
idea of how to reproduce it?

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Thu, 02 Oct 2008 14:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 02 Oct 2008 14:33:10 GMT) Full text and rfc822 format available.

Message #26 received at 494058@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 494058@bugs.debian.org
Subject: Re: Bug#494058: epiphany-browser: Download window is broken
Date: Thu, 02 Oct 2008 15:32:13 +0100
On Thu, 2008-10-02 at 15:00 +0200, Josselin Mouette wrote:
> Le jeudi 07 août 2008 à 00:51 +0100, Sam Morris a écrit :
> > Package: epiphany-browser
> > Version: 2.22.3-1
> > Severity: important
> > 
> > This is rather strange. Today I noticed that the download window had
> > been redesigned. It now looks like the window from Firefox 3, except
> > that it no longer displays any downloads at all!
> 
> In 2 months time, this bug never occurred once to me. Do you have any
> idea of how to reproduce it?

Unfortunately not. It just happens after a totally random amount of
time; along with various other weird and wonderful effects, some of
which make the browser unusable. But none of this is consistently
reproducible. :(
> 
> Cheers,
-- 
Sam Morris <sam@robots.org.uk>




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Thu, 02 Oct 2008 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to 494058@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 02 Oct 2008 14:48:05 GMT) Full text and rfc822 format available.

Message #31 received at 494058@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Sam Morris <sam@robots.org.uk>, 494058@bugs.debian.org
Subject: Re: Bug#494058: epiphany-browser: Download window is broken
Date: Thu, 02 Oct 2008 16:47:37 +0200
[Message part 1 (text/plain, inline)]
Le jeudi 02 octobre 2008 à 15:32 +0100, Sam Morris a écrit :
> > In 2 months time, this bug never occurred once to me. Do you have any
> > idea of how to reproduce it?
> 
> Unfortunately not. It just happens after a totally random amount of
> time; along with various other weird and wonderful effects, some of
> which make the browser unusable. But none of this is consistently
> reproducible. :(

Yes, the other weird effects are explained in the upstream report;
registration of components seems to be lost. However no one seems to be
able to reproduce it reliably, and you seem to be one of those who see
it the more often.

All in all, how frequently does it happen?

Thanks,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Thu, 02 Oct 2008 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 02 Oct 2008 14:57:03 GMT) Full text and rfc822 format available.

Message #36 received at 494058@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 494058@bugs.debian.org
Subject: Re: Bug#494058: epiphany-browser: Download window is broken
Date: Thu, 02 Oct 2008 15:54:38 +0100
On Thu, 2008-10-02 at 16:47 +0200, Josselin Mouette wrote:
> Le jeudi 02 octobre 2008 à 15:32 +0100, Sam Morris a écrit :
> > > In 2 months time, this bug never occurred once to me. Do you have any
> > > idea of how to reproduce it?
> > 
> > Unfortunately not. It just happens after a totally random amount of
> > time; along with various other weird and wonderful effects, some of
> > which make the browser unusable. But none of this is consistently
> > reproducible. :(
> 
> Yes, the other weird effects are explained in the upstream report;
> registration of components seems to be lost. However no one seems to be
> able to reproduce it reliably, and you seem to be one of those who see
> it the more often.
> 
> All in all, how frequently does it happen?

I run into one of the side-effects about once a day. Just while replying
to your first message, I went to the Debian bug report, and tried to
follow the links to upstream; although I clicked on them, and the
browser appeared to be loading the pages, nothing happened for several
minutes. Eventually I realised that I'd run into the very bug I was
trying to read about, and closed all my ephy windows; sure enough the
ephy process hung around until I killed it by hand. :)

> Thanks,
-- 
Sam Morris <sam@robots.org.uk>




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Thu, 02 Oct 2008 15:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 02 Oct 2008 15:09:02 GMT) Full text and rfc822 format available.

Message #41 received at 494058@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Sam Morris <sam@robots.org.uk>, 494058@bugs.debian.org
Subject: Re: Bug#494058: epiphany-browser: Download window is broken
Date: Thu, 2 Oct 2008 17:06:58 +0200
On Thu, Oct 02, 2008 at 03:54:38PM +0100, Sam Morris <sam@robots.org.uk> wrote:
> On Thu, 2008-10-02 at 16:47 +0200, Josselin Mouette wrote:
> > Le jeudi 02 octobre 2008 à 15:32 +0100, Sam Morris a écrit :
> > > > In 2 months time, this bug never occurred once to me. Do you have any
> > > > idea of how to reproduce it?
> > > 
> > > Unfortunately not. It just happens after a totally random amount of
> > > time; along with various other weird and wonderful effects, some of
> > > which make the browser unusable. But none of this is consistently
> > > reproducible. :(
> > 
> > Yes, the other weird effects are explained in the upstream report;
> > registration of components seems to be lost. However no one seems to be
> > able to reproduce it reliably, and you seem to be one of those who see
> > it the more often.
> > 
> > All in all, how frequently does it happen?
> 
> I run into one of the side-effects about once a day. Just while replying
> to your first message, I went to the Debian bug report, and tried to
> follow the links to upstream; although I clicked on them, and the
> browser appeared to be loading the pages, nothing happened for several
> minutes. Eventually I realised that I'd run into the very bug I was
> trying to read about, and closed all my ephy windows; sure enough the
> ephy process hung around until I killed it by hand. :)

Try setting NSPR_LOG_FILE to some file and NSPR_LOG_MODULES to "all:5".
Also, when it freezes, try to grab a backtrace.
Finally, if you are using xulrunner 1.9.0.3-1, please also try setting
MOZILLA_DISABLE_PLUGINS to something.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Thu, 02 Oct 2008 16:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 02 Oct 2008 16:18:02 GMT) Full text and rfc822 format available.

Message #46 received at 494058@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Mike Hommey <mh@glandium.org>
Cc: 494058@bugs.debian.org
Subject: Re: Bug#494058: epiphany-browser: Download window is broken
Date: Thu, 02 Oct 2008 17:15:55 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2008-10-02 at 17:06 +0200, Mike Hommey wrote:
> On Thu, Oct 02, 2008 at 03:54:38PM +0100, Sam Morris <sam@robots.org.uk> wrote:
> > On Thu, 2008-10-02 at 16:47 +0200, Josselin Mouette wrote:
> > > Le jeudi 02 octobre 2008 à 15:32 +0100, Sam Morris a écrit :
> > > > > In 2 months time, this bug never occurred once to me. Do you have any
> > > > > idea of how to reproduce it?
> > > > 
> > > > Unfortunately not. It just happens after a totally random amount of
> > > > time; along with various other weird and wonderful effects, some of
> > > > which make the browser unusable. But none of this is consistently
> > > > reproducible. :(
> > > 
> > > Yes, the other weird effects are explained in the upstream report;
> > > registration of components seems to be lost. However no one seems to be
> > > able to reproduce it reliably, and you seem to be one of those who see
> > > it the more often.
> > > 
> > > All in all, how frequently does it happen?
> > 
> > I run into one of the side-effects about once a day. Just while replying
> > to your first message, I went to the Debian bug report, and tried to
> > follow the links to upstream; although I clicked on them, and the
> > browser appeared to be loading the pages, nothing happened for several
> > minutes. Eventually I realised that I'd run into the very bug I was
> > trying to read about, and closed all my ephy windows; sure enough the
> > ephy process hung around until I killed it by hand. :)
> 
> Try setting NSPR_LOG_FILE to some file and NSPR_LOG_MODULES to "all:5".
> Also, when it freezes, try to grab a backtrace.

I can reproduce the hanging problem fairly easily.

 1. Open Page Info window
 2. In a new tab, go to about:config
 3. Try to modify a string value
 4. Try to close the about:config tab

The tab won't close, and the browser hangs around after the window is
closed. This produces the attached log file.

-- 
Sam Morris <sam@robots.org.uk>
[nspr.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Thu, 02 Oct 2008 16:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 02 Oct 2008 16:21:02 GMT) Full text and rfc822 format available.

Message #51 received at 494058@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Mike Hommey <mh@glandium.org>
Cc: 494058@bugs.debian.org
Subject: Re: Bug#494058: epiphany-browser: Download window is broken
Date: Thu, 02 Oct 2008 17:18:20 +0100
> Also, when it freezes, try to grab a backtrace.

The backtrace:

        Thread 7 (Thread 0x40b5e950 (LWP 17423)):
        #0  0x00007ffee712ed96 in poll () from /lib/libc.so.6
        No symbol table info available.
        #1  0x00007ffeef511667 in _pr_poll_with_poll (pds=0x98f368, npds=1, 
            timeout=4294967295) at ptio.c:3895
        	stack_syspoll = {{fd = 19, events = 1, revents = 0}, {fd = 1701736047, 
            events = 29795, revents = 28521}, {fd = 684910, events = 0, revents = 0}, {
            fd = 0, events = 0, revents = 0}, {fd = 0, events = 0, revents = 0}, {
            fd = -279905312, events = 32766, revents = 0}, {fd = 10021296, events = 0, 
            revents = 0}, {fd = -499895298, events = 32766, revents = 0}, {fd = 16, 
            events = 48, revents = 0}, {fd = 1085660528, events = 0, revents = 0}, {
            fd = 1085660304, events = 0, revents = 0}, {fd = -492698696, 
            events = 32766, revents = 0}, {fd = 10025696, events = 0, revents = 0}, {
            fd = 1, events = 32766, revents = 0}, {fd = 0, events = 0, revents = 0}, {
            fd = 35668264, events = 0, revents = 0}, {fd = 24, events = 48, 
            revents = 0}, {fd = 1085660592, events = 0, revents = 0}, {
            fd = 1085660368, events = 0, revents = 0}, {fd = 2037148001, 
            events = 29815, revents = 11878}, {fd = 24, events = 48, revents = 0}, {
            fd = 1085660624, events = 0, revents = 0}, {fd = 24, events = 48, 
            revents = 0}, {fd = 1085660640, events = 0, revents = 0}, {
            fd = 1085660416, events = 0, revents = 0}, {fd = 10026496, events = 0, 
            revents = 0}, {fd = 9526928, events = 0, revents = 0}, {fd = 9526816, 
            events = 0, revents = 0}, {fd = 16, events = 48, revents = 0}, {
            fd = 1085660688, events = 0, revents = 0}, {fd = 1085660464, events = 0, 
            revents = 0}, {fd = 1, events = 0, revents = 0}, {fd = 16, events = 48, 
            revents = 0}, {fd = 1085660720, events = 0, revents = 0}, {
            fd = 1085660496, events = 0, revents = 0}, {fd = 9526528, events = 0, 
            revents = 0}, {fd = 16, events = 48, revents = 0}, {fd = 1085660752, 
            events = 0, revents = 0}, {fd = 1085660528, events = 0, revents = 0}, {
            fd = 0, events = 0, revents = 0}, {fd = 16, events = 48, revents = 0}, {
            fd = 1085660784, events = 0, revents = 0}, {fd = 1085660560, events = 0, 
            revents = 0}, {fd = 0, events = 0, revents = 0}, {fd = 500, events = 0, 
            revents = 0}, {fd = 0, events = 0, revents = 0}, {fd = 24, events = 48, 
            revents = 0}, {fd = -1, events = 0, revents = 0}, {fd = 500, events = 0, 
            revents = 0}, {fd = -1000, events = 999, revents = 0}, {fd = 0, 
            events = 0, revents = 0}, {fd = 540695856, events = 8224, 
            revents = 24931}, {fd = 10024904, events = 0, revents = 0}, {fd = 0, 
            events = 0, revents = 0}, {fd = 1, events = 0, revents = 0}, {fd = 0, 
            events = 0, revents = 0}, {fd = 9190400, events = 0, revents = 0}, {
            fd = 1852793632, events = 26980, revents = 26996}, {fd = 0, events = 0, 
            revents = 0}, {fd = -132127245, events = 32767, revents = 0}, {
            fd = 10024896, events = 0, revents = 0}, {fd = 1085660752, events = 0, 
            revents = 0}, {fd = 0, events = 0, revents = 0}, {fd = -132127074, 
            events = 32767, revents = 0}}
        	syspoll = (struct pollfd *) 0x40b5dc20
        	index = <value optimized out>
        	msecs = -1
        	ready = 10023800
        	start = 980576077
        	elapsed = <value optimized out>
        #2  0x00007ffee2343512 in nsSocketTransportService::Poll (
            this=<value optimized out>, wait=<value optimized out>, 
            interval=0x40b5debc) at nsSocketTransportService2.cpp:349
        	pollList = (PRPollDesc *) 0x98f368
        	pollCount = 1
        	pollTimeout = 4294967295
        	ts = 3193147690
        	rv = <value optimized out>
        	passedInterval = <value optimized out>
        #3  0x00007ffee23439b8 in nsSocketTransportService::DoPollIteration (
            this=0x98e9b0, wait=1) at nsSocketTransportService2.cpp:644
        	i = -1
        	pollInterval = <value optimized out>
        	n = <value optimized out>
        #4  0x00007ffee2343c2b in nsSocketTransportService::OnProcessNextEvent (
            this=0x98e9b0, thread=0x98fa50, mayWait=<value optimized out>, 
            depth=<value optimized out>) at nsSocketTransportService2.cpp:523
        	val = 0
        #5  0x00007ffee2a2050d in nsThread::ProcessNextEvent (this=0x98fa50, 
            mayWait=1, result=0x40b5df7c) at nsThread.cpp:497
        	notifyGlobalObserver = 1
        	obs = {<nsCOMPtr_base> = {mRawPtr = 0x98e9c0}, <No data fields>}
        	event = {<nsCOMPtr_base> = {mRawPtr = 0x98fa50}, <No data fields>}
        	rv = 2147549183
        #6  0x00007ffee29f6652 in NS_ProcessNextEvent_P (thread=0x40b5dc20, mayWait=1)
            at nsThreadUtils.cpp:230
        	val = <value optimized out>
        #7  0x00007ffee2343708 in nsSocketTransportService::Run (this=0x98e9b0)
            at nsSocketTransportService2.cpp:565
        	thread = <value optimized out>
        	threadInt = {<nsCOMPtr_base> = {mRawPtr = 0x98fa50}, <No data fields>}
        	i = <value optimized out>
        #8  0x00007ffee2a20562 in nsThread::ProcessNextEvent (this=0x98fa50, 
            mayWait=1, result=0x40b5e02c) at nsThread.cpp:510
        	notifyGlobalObserver = 1
        	obs = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        	event = {<nsCOMPtr_base> = {mRawPtr = 0x98e9c8}, <No data fields>}
        	rv = 0
        #9  0x00007ffee29f6652 in NS_ProcessNextEvent_P (thread=0x40b5dc20, mayWait=1)
            at nsThreadUtils.cpp:230
        	val = <value optimized out>
        #10 0x00007ffee2a20bde in nsThread::ThreadFunc (arg=<value optimized out>)
            at nsThread.cpp:253
        	self = (nsThread *) 0x98fa50
        	event = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        #11 0x00007ffeef515673 in _pt_root (arg=<value optimized out>)
            at ptthread.c:221
        	thred = (PRThread *) 0x98fe00
        	detached = 0
        #12 0x00007ffee8474fc7 in start_thread () from /lib/libpthread.so.0
        No symbol table info available.
        #13 0x00007ffee71377cd in clone () from /lib/libc.so.6
        No symbol table info available.
        #14 0x0000000000000000 in ?? ()
        No symbol table info available.
        
        Thread 6 (Thread 0x41b60950 (LWP 17429)):
        #0  0x00007ffee8478fad in pthread_cond_timedwait@@GLIBC_2.3.2 ()
           from /lib/libpthread.so.0
        No symbol table info available.
        #1  0x00007ffeef50ee94 in pt_TimedWait (cv=0x8dabf8, ml=0x8dbb90, timeout=26)
            at ptsynch.c:280
        	rv = <value optimized out>
        	now = {tv_sec = 1222963989, tv_usec = 332860}
        	tmo = {tv_sec = 1222964620, tv_nsec = 358860000}
        	ticks = <value optimized out>
        #2  0x00007ffeef50fa6a in PR_WaitCondVar (cvar=0x8dabf0, timeout=631026)
            at ptsynch.c:407
        	rv = <value optimized out>
        	thred = (PRThread *) 0x1fc8b20
        #3  0x00007ffee2a22c8a in TimerThread::Run (this=0x8dbab0)
            at TimerThread.cpp:345
        	waitFor = 1102446636
        #4  0x00007ffee2a20562 in nsThread::ProcessNextEvent (this=0x1f5a780, 
            mayWait=1, result=0xffffffffffffff92) at nsThread.cpp:510
        	notifyGlobalObserver = 1
        	obs = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        	event = {<nsCOMPtr_base> = {mRawPtr = 0x8dbab0}, <No data fields>}
        	rv = 0
        #5  0x00007ffee29f6652 in NS_ProcessNextEvent_P (thread=0x8dabfc, mayWait=1)
            at nsThreadUtils.cpp:230
        	val = <value optimized out>
        #6  0x00007ffee2a20bde in nsThread::ThreadFunc (arg=<value optimized out>)
            at nsThread.cpp:253
        	self = (nsThread *) 0x1f5a780
        	event = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        #7  0x00007ffeef515673 in _pt_root (arg=<value optimized out>)
            at ptthread.c:221
        	thred = (PRThread *) 0x1fc8b20
        	detached = 0
        #8  0x00007ffee8474fc7 in start_thread () from /lib/libpthread.so.0
        No symbol table info available.
        #9  0x00007ffee71377cd in clone () from /lib/libc.so.6
        No symbol table info available.
        #10 0x0000000000000000 in ?? ()
        No symbol table info available.
        
        Thread 5 (Thread 0x4135f950 (LWP 17430)):
        #0  0x00007ffee8478d29 in pthread_cond_wait@@GLIBC_2.3.2 ()
           from /lib/libpthread.so.0
        No symbol table info available.
        #1  0x00007ffeef50fae4 in PR_WaitCondVar (cvar=0x1fdb160, timeout=4294967295)
            at ptsynch.c:405
        	rv = <value optimized out>
        	thred = (PRThread *) 0x1fdb1b0
        #2  0x00007ffee287ddb0 in nsSSLThread::Run (this=0x1fdb060)
            at nsSSLThread.cpp:964
        	threadLock = {<nsAutoLockBase> = {<No data fields>}, 
          mLock = 0x1fdb0b0, mLocked = 1}
        	pending_work = <value optimized out>
        	busy_socket_ssl_state = 3896987392
        	needToSetPollableEvent = 33403312
        	socketToDestroy = (class nsNSSSocketInfo *) 0x1fdb1b0
        #3  0x00007ffeef515673 in _pt_root (arg=<value optimized out>)
            at ptthread.c:221
        	thred = (PRThread *) 0x1fdb1b0
        	detached = 0
        #4  0x00007ffee8474fc7 in start_thread () from /lib/libpthread.so.0
        No symbol table info available.
        #5  0x00007ffee71377cd in clone () from /lib/libc.so.6
        No symbol table info available.
        #6  0x0000000000000000 in ?? ()
        No symbol table info available.
        
        Thread 4 (Thread 0x42361950 (LWP 17431)):
        #0  0x00007ffee8478d29 in pthread_cond_wait@@GLIBC_2.3.2 ()
           from /lib/libpthread.so.0
        No symbol table info available.
        #1  0x00007ffeef50fae4 in PR_WaitCondVar (cvar=0x1fdb460, timeout=4294967295)
            at ptsynch.c:405
        	rv = <value optimized out>
        	thred = (PRThread *) 0x1fdb4b0
        #2  0x00007ffee287ec5e in nsCertVerificationThread::Run (this=0x1fdb320)
            at nsCertVerificationThread.cpp:138
        No locals.
        #3  0x00007ffeef515673 in _pt_root (arg=<value optimized out>)
            at ptthread.c:221
        	thred = (PRThread *) 0x1fdb4b0
        	detached = 0
        #4  0x00007ffee8474fc7 in start_thread () from /lib/libpthread.so.0
        No symbol table info available.
        #5  0x00007ffee71377cd in clone () from /lib/libc.so.6
        No symbol table info available.
        #6  0x0000000000000000 in ?? ()
        No symbol table info available.
        
        Thread 3 (Thread 0x43b64950 (LWP 17437)):
        #0  0x00007ffee8478d29 in pthread_cond_wait@@GLIBC_2.3.2 ()
           from /lib/libpthread.so.0
        No symbol table info available.
        #1  0x00007ffeef50fae4 in PR_WaitCondVar (cvar=0x2157d40, timeout=4294967295)
            at ptsynch.c:405
        	rv = <value optimized out>
        	thred = (PRThread *) 0x2157fb0
        #2  0x00007ffeef50fb66 in PR_Wait (mon=0x2157d90, timeout=128) at ptsynch.c:584
        	rv = -512
        	saved_entries = 1
        	saved_owner = 1136019792
        #3  0x00007ffee2a1fa64 in nsEventQueue::GetEvent (this=0x2157c40, mayWait=1, 
            result=0x43b63fd0) at ../../dist/include/xpcom/nsAutoLock.h:340
        No locals.
        #4  0x00007ffee2a2053b in nsThread::ProcessNextEvent (this=0x2157c00, 
            mayWait=1, result=0x43b6402c) at nsThread.h:112
        	notifyGlobalObserver = 1
        	obs = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        	event = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        	rv = 2147549183
        #5  0x00007ffee29f6652 in NS_ProcessNextEvent_P (thread=0x2157d4c, mayWait=1)
            at nsThreadUtils.cpp:230
        	val = <value optimized out>
        #6  0x00007ffee2a20bde in nsThread::ThreadFunc (arg=<value optimized out>)
            at nsThread.cpp:253
        	self = (nsThread *) 0x2157c00
        	event = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        #7  0x00007ffeef515673 in _pt_root (arg=<value optimized out>)
            at ptthread.c:221
        	thred = (PRThread *) 0x2157fb0
        	detached = 0
        #8  0x00007ffee8474fc7 in start_thread () from /lib/libpthread.so.0
        No symbol table info available.
        #9  0x00007ffee71377cd in clone () from /lib/libc.so.6
        No symbol table info available.
        #10 0x0000000000000000 in ?? ()
        No symbol table info available.
        
        Thread 2 (Thread 0x44365950 (LWP 17523)):
        #0  0x00007ffee8478d29 in pthread_cond_wait@@GLIBC_2.3.2 ()
           from /lib/libpthread.so.0
        No symbol table info available.
        #1  0x00007ffeef50fae4 in PR_WaitCondVar (cvar=0x24a59a0, timeout=4294967295)
            at ptsynch.c:405
        	rv = <value optimized out>
        	thred = (PRThread *) 0x2486ba0
        #2  0x00007ffeef50fb66 in PR_Wait (mon=0x24a59f0, timeout=128) at ptsynch.c:584
        	rv = -512
        	saved_entries = 1
        	saved_owner = 1144412496
        #3  0x00007ffee2a1fa64 in nsEventQueue::GetEvent (this=0x24a58a0, mayWait=1, 
            result=0x44364fd0) at ../../dist/include/xpcom/nsAutoLock.h:340
        No locals.
        #4  0x00007ffee2a2053b in nsThread::ProcessNextEvent (this=0x24a5860, 
            mayWait=1, result=0x4436502c) at nsThread.h:112
        	notifyGlobalObserver = 1
        	obs = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        	event = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        	rv = 2147549183
        #5  0x00007ffee29f6652 in NS_ProcessNextEvent_P (thread=0x24a59ac, mayWait=1)
            at nsThreadUtils.cpp:230
        	val = <value optimized out>
        #6  0x00007ffee2a20bde in nsThread::ThreadFunc (arg=<value optimized out>)
            at nsThread.cpp:253
        	self = (nsThread *) 0x24a5860
        	event = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        #7  0x00007ffeef515673 in _pt_root (arg=<value optimized out>)
            at ptthread.c:221
        	thred = (PRThread *) 0x2486ba0
        	detached = 0
        #8  0x00007ffee8474fc7 in start_thread () from /lib/libpthread.so.0
        No symbol table info available.
        #9  0x00007ffee71377cd in clone () from /lib/libc.so.6
        No symbol table info available.
        #10 0x0000000000000000 in ?? ()
        No symbol table info available.
        
        Thread 1 (Thread 0x7ffef0012780 (LWP 17422)):
        #0  0x00007ffee712ed96 in poll () from /lib/libc.so.6
        No symbol table info available.
        #1  0x00007ffee7b9deb8 in g_main_context_iterate (context=0x8811f0, block=1, 
            dispatch=1, self=<value optimized out>)
            at /build/buildd/glib2.0-2.16.5/glib/gmain.c:2954
        	max_priority = 2147483647
        	timeout = 138329
        	some_ready = <value optimized out>
        	nfds = 13
        	allocated_nfds = <value optimized out>
        	fds = (GPollFD *) 0x21c5420
        	__PRETTY_FUNCTION__ = "g_main_context_iterate"
        #2  0x00007ffee7b9e54d in IA__g_main_loop_run (loop=0x245fd20)
            at /build/buildd/glib2.0-2.16.5/glib/gmain.c:2853
        	self = (GThread *) 0x848520
        	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
        #3  0x00007ffeeb5a1667 in IA__gtk_main ()
            at /scratch/build-area/gtk+2.0-2.12.11/gtk/gtkmain.c:1163
        	tmp_list = (GList *) 0x7ffff815b390
        	functions = (GList *) 0x0
        	init = (GtkInitFunction *) 0x28d6c00
        	loop = (GMainLoop *) 0xd
        #4  0x00007ffee22e5646 in EmbedWindow::ShowAsModal (this=0x28d6c00)
            at EmbedWindow.cpp:213
        	toplevel = <value optimized out>
        #5  0x00007ffee28252dc in nsWindowWatcher::OpenWindowJSInternal (
            this=0x1e9a490, aParent=0x24710e0, aUrl=<value optimized out>, 
            aName=<value optimized out>, 
            aFeatures=0x7ffff815b6e0 "chrome,titlebar,centerscreen,modal", aDialog=1, 
            argv=0x2211d48, aCalledFromJS=1, _retval=0x7ffff815b790)
            at nsWindowWatcher.cpp:949
        	modalContentWindow = {<nsCOMPtr_base> = {
            mRawPtr = 0x0}, <No data fields>}
        	windowStateHelper = {mWindow = 0x24710e0, mDefaultEnabled = 1}
        	popupStatePusher = {mWindow = {<nsCOMPtr_base> = {
              mRawPtr = 0x0}, <No data fields>}, mOldState = openAbused}
        	newTreeOwner = {<nsCOMPtr_base> = {
            mRawPtr = 0x2208ba0}, <No data fields>}
        	newChrome = {<nsCOMPtr_base> = {mRawPtr = 0x28d6c00}, <No data fields>}
        	rv = <value optimized out>
        	nameSpecified = 1
        	featuresSpecified = <value optimized out>
        	isNewToplevelWindow = 1
        	windowIsNew = 1
        	windowNeedsName = 1
        	windowIsModal = 1
        	uriToLoadIsChrome = 1
        	windowIsModalContentDialog = 0
        	chromeFlags = <value optimized out>
        	name = {<nsFixedString> = {<nsString> = {<nsAString_internal> = {<nsSubstring_base> = {<No data fields>}, mData = 0x7ffff815b150, mLength = 6, 
                mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, 
            mFixedBuf = 0x7ffff815b150}, mStorage = {95, 98, 108, 97, 110, 107, 0, 0, 
            0, 0, 0, 0, 45408, 63509, 32767, 0, 0, 0, 0, 0, 45424, 63509, 32767, 0, 0, 
            0, 0, 0, 45440, 63509, 32767, 0, 0, 0, 0, 0, 45456, 63509, 32767, 0, 0, 0, 
            0, 0, 45472, 63509, 32767, 0, 45096, 544, 0, 0, 46032, 63509, 32767, 0, 
            49168, 63509, 32767, 0, 45920, 63509, 32767, 0}}
        	features = {<nsFixedCString> = {<nsCString> = {<nsACString_internal> = {<nsCSubstring_base> = {<No data fields>}, 
                mData = 0x7ffff815b250 "chrome,titlebar,centerscreen,modal", 
                mLength = 34, mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, 
            mFixedBuf = 0x7ffff815b250 "chrome,titlebar,centerscreen,modal"}, 
          mStorage = "chrome,titlebar,centerscreen,modal", '\0' <repeats 19 times>, "\200D@\000\000\000\000\000\200[@"}
        	uriToLoad = {<nsCOMPtr_base> = {mRawPtr = 0x20b5ef0}, <No data fields>}
        	parentTreeOwner = {<nsCOMPtr_base> = {
            mRawPtr = 0x24a9fa0}, <No data fields>}
        	newDocShellItem = {<nsCOMPtr_base> = {
            mRawPtr = 0x261d208}, <No data fields>}
        	callerContextGuard = {mService = {<nsCOMPtr_base> = {
              mRawPtr = 0x9757a0}, <No data fields>}, mContext = 0x2244e00, 
          mContextKungFuDeathGrip = {<nsCOMPtr_base> = {
              mRawPtr = 0x1189140}, <No data fields>}}
        	foundWindow = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        	chromeParent = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        	sizeSpec = {mLeft = 0, mTop = 6000, mOuterWidth = 42866392, 
          mOuterHeight = 0, mInnerWidth = 51, mInnerHeight = 0, 
          mLeftSpecified = 0 '\0', mTopSpecified = 0 '\0', 
          mOuterWidthSpecified = 0 '\0', mOuterHeightSpecified = 0 '\0', 
          mInnerWidthSpecified = 0 '\0', mInnerHeightSpecified = 0 '\0', 
          mUseDefaultWidth = 0 '\0', mUseDefaultHeight = 0 '\0'}
        	isCallerChrome = 1
        	sm = {<nsCOMPtr_base> = {mRawPtr = 0x9753b0}, <No data fields>}
        	cx = <value optimized out>
        	newDocShell = {<nsCOMPtr_base> = {
            mRawPtr = 0x261d200}, <No data fields>}
        	newCV = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        	newMuCV = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        	subjectPrincipal = {<nsCOMPtr_base> = {
            mRawPtr = 0x992c20}, <No data fields>}
        #6  0x00007ffee2825c55 in nsWindowWatcher::OpenWindowJS (this=0x1e9a490, 
            aParent=0x24710e0, 
            aUrl=0x290b088 "chrome://global/content/configIntValue.xul", 
            aName=0x7ffff815b680 "_blank", 
            aFeatures=0x7ffff815b6e0 "chrome,titlebar,centerscreen,modal", aDialog=1, 
            argv=0x2211d48, _retval=0x7ffff815b790) at nsWindowWatcher.cpp:484
        No locals.
        #7  0x00007ffee268cf87 in nsGlobalWindow::OpenInternal (this=0x24710e0, 
            aUrl=@0x7ffff815b980, aName=@0x7ffff815b8e0, aOptions=@0x7ffff815b840, 
            aDialog=1, aContentModal=0, aCalledNoScript=0, aDoJSFixups=0, 
            argv=0x2211d48, aExtraArgument=0x0, aCalleePrincipal=0x992c20, 
            aJSCallerContext=0x2244e00, aReturn=0x7ffff815bd10)
            at nsGlobalWindow.cpp:7390
        	pwwatch = {<nsCOMPtr_base> = {mRawPtr = 0x1e9a498}, <No data fields>}
        	chrome = {<nsCOMPtr_base> = {mRawPtr = 0x261db70}, <No data fields>}
        	checkForPopup = 0
        	currentCodebase = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        	url = {<nsCString> = {<nsACString_internal> = {<nsCSubstring_base> = {<No data fields>}, 
              mData = 0x290b088 "chrome://global/content/configIntValue.xul", 
              mLength = 42, mFlags = 5}, <No data fields>}, <No data fields>}
        	rv = 0
        	abuseLevel = 3909857319
        	allowReason = <value optimized out>
        	domReturn = {<nsCOMPtr_base> = {mRawPtr = 0x215e800}, <No data fields>}
        	wwatch = {<nsCOMPtr_base> = {mRawPtr = 0x1e9a490}, <No data fields>}
        	options = {<nsCAutoString> = {<nsFixedCString> = {<nsCString> = {<nsACString_internal> = {<nsCSubstring_base> = {<No data fields>}, 
                  mData = 0x7ffff815b6e0 "chrome,titlebar,centerscreen,modal", 
                  mLength = 34, mFlags = 65553}, <No data fields>}, 
              mFixedCapacity = 63, 
              mFixedBuf = 0x7ffff815b6e0 "chrome,titlebar,centerscreen,modal"}, 
            mStorage = "chrome,titlebar,centerscreen,modal\000\000\000\000\000\000�X`~\000\000\000\000@\035!\002\000\000\000\000 �\025��\177\000"}, <No data fields>}
        	name = {<nsCAutoString> = {<nsFixedCString> = {<nsCString> = {<nsACString_internal> = {<nsCSubstring_base> = {<No data fields>}, 
                  mData = 0x7ffff815b680 "_blank", mLength = 6, 
                  mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, 
              mFixedBuf = 0x7ffff815b680 "_blank"}, 
            mStorage = "_blank\000\000��U�\000\000\000\000\020�\025��\177\000\000h\207\224\000\000\000\000\000p\000\230\000\000\000\000\000\210�\025��\177\000\000\220�\025��\177\000\000\001\000��\000\000\000"}, <No data fields>}
        	options_ptr = 0x7ffff815b6e0 "chrome,titlebar,centerscreen,modal"
        	name_ptr = 0x7ffff815b680 "_blank"
        	opened = <value optimized out>
        	newDocShell = <value optimized out>
        #8  0x00007ffee268d439 in nsGlobalWindow::OpenDialog (this=0x24710e0, 
            _retval=0x7ffff815bd10) at nsGlobalWindow.cpp:5137
        	ncc = (class nsAXPCNativeCallContext *) 0x7ffff815c0c0
        	rv = <value optimized out>
        	cx = (JSContext *) 0x2244e00
        	url = {<nsFixedString> = {<nsString> = {<nsAString_internal> = {<nsSubstring_base> = {<No data fields>}, mData = 0x7ffff815b9a0, mLength = 42, 
                mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, 
            mFixedBuf = 0x7ffff815b9a0}, mStorage = {99, 104, 114, 111, 109, 101, 58, 
            47, 47, 103, 108, 111, 98, 97, 108, 47, 99, 111, 110, 116, 101, 110, 116, 
            47, 99, 111, 110, 102, 105, 103, 73, 110, 116, 86, 97, 108, 117, 101, 46, 
            120, 117, 108, 0, 0, 47760, 63509, 32767, 0, 1424, 587, 0, 0, 47760, 
            63509, 32767, 0, 0, 0, 0, 0, 59360, 612, 0, 0}}
        	name = {<nsFixedString> = {<nsString> = {<nsAString_internal> = {<nsSubstring_base> = {<No data fields>}, mData = 0x7ffff815b900, mLength = 6, 
                mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, 
            mFixedBuf = 0x7ffff815b900}, mStorage = {95, 98, 108, 97, 110, 107, 0, 0, 
            45568, 605, 0, 0, 19968, 548, 0, 0, 47792, 63509, 1, 0, 29968, 187, 0, 0, 
            29972, 187, 0, 0, 1, 0, 0, 0, 32832, 545, 0, 0, 65466, 57688, 32766, 0, 1, 
            0, 0, 0, 0, 0, 0, 0, 19968, 548, 0, 0, 0, 0, 0, 0, 19968, 548, 0, 0, 0, 0, 
            32766, 0}}
        	options = {<nsFixedString> = {<nsString> = {<nsAString_internal> = {<nsSubstring_base> = {<No data fields>}, mData = 0x7ffff815b860, mLength = 34, 
                mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, 
            mFixedBuf = 0x7ffff815b860}, mStorage = {99, 104, 114, 111, 109, 101, 44, 
            116, 105, 116, 108, 101, 98, 97, 114, 44, 99, 101, 110, 116, 101, 114, 
            115, 99, 114, 101, 101, 110, 44, 109, 111, 100, 97, 108, 0, 0, 21424, 151, 
            0, 0, 0, 0, 0, 0, 29972, 187, 0, 0, 0, 0, 0, 0, 63652, 57916, 32766, 0, 
            27968, 620, 0, 0, 41365, 57962, 32766, 0}}
        	argc = <value optimized out>
        	argv = (jsval *) 0x21c12d8
        	argOffset = <value optimized out>
        	argvArray = {<nsCOMPtr_base> = {mRawPtr = 0x2211d48}, <No data fields>}
        #9  0x00007ffee2a2a682 in NS_InvokeByIndex_P (that=0x2471138, methodIndex=16, 
            paramCount=1, params=0xffffffffffffffff) at xptcinvoke_x86_64_linux.cpp:208
        	nr_gpr = 2
        	nr_fpr = 0
        	nr_stack = <value optimized out>
        	stack = (PRUint64 *) 0x7ffff815ba80
        	gpregs = {0, 140737355562256, 35933696, 0, 12285204, 140737355563200}
        	fpregs = {6.1036237483200921e-317, 6.9531189008154604e-310, 
          1.9007227128834763e-316, 6.953349246965556e-310, 6.9531195656729796e-310, 0, 
          0, 1.984532847023852e-316}
        	d0 = 1
        	d1 = 5.5070349750880969e-315
        	d2 = 1
        	d3 = 0
        	d4 = 0
        	d5 = 0
        	d6 = 0
        	d7 = -0
        	a0 = 35410976
        	a1 = 13
        	a2 = 138329
        	a3 = 18446744073709551615
        	a4 = 0
        	a5 = 1
        	result = 4294966780
        #10 0x00007ffee2313fd5 in XPCWrappedNative::CallMethod (ccx=@0x7ffff815c0c0, 
            mode=<value optimized out>) at xpcwrappednative.cpp:2393
        	rv = <value optimized out>
        	paramBuffer = {{<nsXPTCMiniVariant> = {val = {i8 = 0 '\0', i16 = 0, 
                i32 = 0, i64 = 0, u8 = 0 '\0', u16 = 0, u32 = 0, u64 = 0, f = 0, 
                d = 0, b = 0, c = 0 '\0', wc = 0, p = 0x0}}, ptr = 0x7ffff815bd10, 
            type = {<XPTTypeDescriptorPrefix> = {
                flags = 146 '\222'}, <No data fields>}, flags = 5 '\005'}, 
          {<nsXPTCMiniVariant> = {val = {i8 = 86 'V', i16 = 22870, i32 = -514107050, 
                i64 = 140732679280982, u8 = 86 'V', u16 = 22870, u32 = 3780860246, 
                u64 = 140732679280982, f = -2.52892143e+20, 
                d = 6.9531182079927388e-310, b = -514107050, c = 86 'V', wc = 22870, 
                p = 0x7ffee15b5956}}, ptr = 0x28b64b0, 
            type = {<XPTTypeDescriptorPrefix> = {flags = 0 '\0'}, <No data fields>}, 
            flags = 78 'N'}, {<nsXPTCMiniVariant> = {val = {i8 = -72 '�', 
                i16 = -16712, i32 = -132792648, i64 = 140737355562680, u8 = 184 '�', 
                u16 = 48824, u32 = 4162174648, u64 = 140737355562680, 
                f = -1.21487573e+34, d = 6.9533492470064646e-310, b = -132792648, 
                c = -72 '�', wc = 48824, p = 0x7ffff815beb8}}, ptr = 0xbb7514, 
            type = {<XPTTypeDescriptorPrefix> = {flags = 200 '�'}, <No data fields>}, 
            flags = 190 '�'}, {<nsXPTCMiniVariant> = {val = {i8 = 20 '\024', 
                i16 = 29972, i32 = 12285204, i64 = 12285204, u8 = 20 '\024', 
                u16 = 29972, u32 = 12285204, u64 = 12285204, f = 1.72152375e-38, 
                d = 6.0696972485514654e-317, b = 12285204, c = 20 '\024', wc = 29972, 
                p = 0xbb7514}}, ptr = 0x2218040, type = {<XPTTypeDescriptorPrefix> = {
                flags = 80 'P'}, <No data fields>}, flags = 96 '`'}, 
          {<nsXPTCMiniVariant> = {val = {i8 = 96 '`', i16 = -16800, i32 = -132792736, 
                i64 = 140737355562592, u8 = 96 '`', u16 = 48736, u32 = 4162174560, 
                u64 = 140737355562592, f = -1.21486484e+34, 
                d = 6.9533492470021168e-310, b = -132792736, c = 96 '`', wc = 48736, 
                p = 0x7ffff815be60}}, ptr = 0x1, type = {<XPTTypeDescriptorPrefix> = {
                flags = 0 '\0'}, <No data fields>}, flags = 178 '�'}, 
          {<nsXPTCMiniVariant> = {val = {i8 = 0 '\0', i16 = 0, i32 = 0, i64 = 0, 
                u8 = 0 '\0', u16 = 0, u32 = 0, u64 = 0, f = 0, d = 0, b = 0, 
                c = 0 '\0', wc = 0, p = 0x0}}, ptr = 0x0, 
            type = {<XPTTypeDescriptorPrefix> = {flags = 212 '�'}, <No data fields>}, 
            flags = 144 '\220'}, {<nsXPTCMiniVariant> = {val = {i8 = 0 '\0', 
                i16 = -19968, i32 = 39694848, i64 = 39694848, u8 = 0 '\0', 
                u16 = 45568, u32 = 39694848, u64 = 39694848, f = 1.62875992e-37, 
                d = 1.9611860713690114e-316, b = 39694848, c = 0 '\0', wc = 45568, 
                p = 0x25db200}}, ptr = 0x7ffee22f8342, 
            type = {<XPTTypeDescriptorPrefix> = {flags = 0 '\0'}, <No data fields>}, 
            flags = 78 'N'}, {<nsXPTCMiniVariant> = {val = {i8 = 66 'B', i16 = -31934, 
                i32 = -500202686, i64 = 140732693185346, u8 = 66 'B', u16 = 33602, 
                u32 = 3794764610, u64 = 140732693185346, f = -8.09409584e+20, 
                d = 6.9531188949595968e-310, b = -500202686, c = 66 'B', wc = 33602, 
                p = 0x7ffee22f8342}}, ptr = 0x2576c80, 
            type = {<XPTTypeDescriptorPrefix> = {flags = 96 '`'}, <No data fields>}, 
            flags = 190 '�'}}
        	autoString = "\200lW\002\000\000\000\000�\213/��\177\000\000\001\000\000\000\000\000\000\000\177�1��\177\000\000p�\025��\177\000\000|�\025��\177\000\000\000\000\000\000\000\000\000\000 \000\000\000\001\000\000\000 �\025��\177\000\000�\"\025��\177\000\000@\\\237", '\0' <repeats 13 times>, "(�\025��\177\000\000cHU�\001", '\0' <repeats 19 times>, "@\\\237\000\000\000\000\000��\025��\177\000\000 ����\177\000\000\003\000\000\000�\177\000"
        	autoStringUsed = 0
        	retval = <value optimized out>
        	dispatchParams = (nsXPTCVariant *) 0x7ffff815bd10
        	i = 1 '\001'
        	methodInfo = (const nsXPTMethodInfo *) 0x1e26a80
        	requiredArgs = <value optimized out>
        	paramCount = 89 'Y'
        	src = 140737355563456
        	invokeResult = <value optimized out>
        	param_iid = {m0 = 39019728, m1 = 0, m2 = 0, 
          m3 = "\200\215!\002\000\000\000"}
        	err = <value optimized out>
        	sm = <value optimized out>
        	foundDependentParam = 0
        	rt = (XPCJSRuntime *) 0x975c60
        	callee = (nsISupports *) 0x2471138
        	tls = (XPCPerThreadData *) 0x0
        	vtblIndex = 13
        	name = <value optimized out>
        	argv = (jsval *) 0x21c12d8
        	argc = 4
        	secFlag = <value optimized out>
        	secAction = <value optimized out>
        #11 0x00007ffee231bb38 in XPC_WN_CallMethod (cx=0x2244e00, 
            obj=<value optimized out>, argc=<value optimized out>, 
            argv=<value optimized out>, vp=<value optimized out>)
            at xpcwrappednativejsops.cpp:1473
        	funobj = (JSObject *) 0xbbb480
        	ccx = {<nsAXPCNativeCallContext> = {
            _vptr.nsAXPCNativeCallContext = 0x7ffee2feab20}, 
          mState = XPCCallContext::READY_TO_CALL, mXPC = 0x975bb0, 
          mThreadData = 0x948100, mXPCContext = 0x2407af0, mJSContext = 0x2244e00, 
          mContextPopRequired = 0, mDestroyJSContextInDestructor = 0, 
          mCallerLanguage = XPCContext::LANG_JS, 
          mPrevCallerLanguage = XPCContext::LANG_UNKNOWN, mPrevCallContext = 0x0, 
          mOperandJSObject = 0x9f5c40, mCurrentJSObject = 0x25db200, 
          mFlattenedJSObject = 0x25db200, mWrapper = 0x2576c80, mTearOff = 0x264e7e0, 
          mScriptableInfo = 0x24b15c0, mSet = 0xbc8b40, mInterface = 0xbc8150, 
          mMember = 0xbc82b8, mName = 12285204, mStaticMemberIsLocal = 35933696, 
          mArgc = 4, mArgv = 0x21c12d8, mRetVal = 0x7ffff815c2a8, 
          mExceptionWasThrown = 0, mReturnValueWasSet = 0, mMethodIndex = 16, 
          mCallee = 0x0, 
          mStringWrapperData = "\000\000\000\000\000\000\000\000\000N$\002\000\000\000\000\000\000\000\000\001\000\000\000��\025��\177\000\000�\"\025��\177\000\000\000\000\000\000\000\000\000"}
        	wrapper = <value optimized out>
        	iface = (XPCNativeInterface *) 0xbc8150
        	member = (XPCNativeMember *) 0xbc82b8
        #12 0x00007ffee1587b0e in js_Invoke (cx=0x2244e00, argc=4, vp=0x21c12c8, 
            flags=2) at jsinterp.c:1297
        	frame = {regs = 0x0, spbase = 0x0, callobj = 0x0, argsobj = 0x0, 
          varobj = 0x0, callee = 0xbbb480, script = 0x0, fun = 0x9e0d90, 
          thisp = 0x9f5c40, argc = 4, argv = 0x21c12d8, rval = -2147483647, nvars = 0, 
          vars = 0x21c12f8, down = 0x21c11b8, annotation = 0x0, 
          scopeChain = 0x26c6d40, sharpDepth = 0, sharpArray = 0x0, flags = 1026, 
          dormantNext = 0x0, xmlNamespace = 0x0, blockChain = 0x0}
        	sp = <value optimized out>
        	argv = (jsval *) 0x21c12d8
        	newvp = <value optimized out>
        	v = 12301440
        	funobj = (JSObject *) 0xbbb480
        	parent = (JSObject *) 0x2218040
        	ok = 0
        	clasp = <value optimized out>
        	ops = <value optimized out>
        	native = (
            JSNative) 0x7ffee231ba6a <XPC_WN_CallMethod(JSContext*, JSObject*, unsigned int, long*, long*)>
        	fun = (JSFunction *) 0x9e0d90
        	script = (JSScript *) 0x0
        	nslots = 0
        	nvars = 0
        	skip = <value optimized out>
        	rootedArgsFlag = 1026
        	hook = (JSInterpreterHook) 0x1
        	hookData = (void *) 0x0
        #13 0x00007ffee157a917 in js_Interpret (cx=0x2244e00) at jsinterp.c:4857
        	rt = (JSRuntime *) 0x948320
        	fp = (JSStackFrame *) 0x21c11b8
        	script = (JSScript *) 0x2539be0
        	inlineCallCount = 2
        	atoms = (JSAtom **) 0x2539c30
        	currentVersion = JSVERSION_DEFAULT
        	originalVersion = JSVERSION_DEFAULT
        	mark = (void *) 0x21c10a8
        	regs = {pc = 0x2539e30 ":", sp = 0x21c12f8}
        	obj = (JSObject *) 0xbbb480
        	obj2 = (JSObject *) 0x26c6d40
        	parent = (JSObject *) 0x4
        	ok = 35394248
        	cond = 1
        	interruptHandler = (JSTrapHandler) 0
        	len = 35394248
        	endpc = (
            jsbytecode *) 0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>
        	pc2 = (jsbytecode *) 0x4 <Address 0x4 out of bounds>
        	op = 35394248
        	op2 = 4294967295
        	index = 3783176000
        	atom = (JSAtom *) 0xfffffffffffffdfc
        	argc = 13
        	attrs = 3794766777
        	flags = 13
        	slot = 2
        	vp = (jsval *) 0xffffffffffffffff
        	lval = 140732681596736
        	rval = 12301440
        	ltmp = 35394248
        	rtmp = 1
        	id = 12285204
        	prop = (JSProperty *) 0x28b6088
        	sprop = (JSScopeProperty *) 0x7ffee17eaf40
        	str = (JSString *) 0xd
        	str2 = (JSString *) 0xffffffffffffffff
        	i = -516
        	j = -516
        	d = 0
        	d2 = 1
        	clasp = (JSClass *) 0xfffffffffffffdfc
        	fun = (JSFunction *) 0x7ffee17eaf40
        	type = 4294966780
        	ida = (JSIdArray *) 0x2539e01
        	low = -1
        	off = 13
        	npairs = 39034369
        	getter = (JSPropertyOp) 0x21c12c8
        	setter = (JSPropertyOp) 0x7ffee17eaf40 <normalJumpTable.9753>
        	jumpTable = (void **) 0x7ffee17eaf40
        	normalJumpTable = {0x7ffee1580959, 0x7ffee15809b2, 0x7ffee157a005, 
          0x7ffee15807cc, 0x7ffee157e105, 0x7ffee1579c16, 0x7ffee157a062, 
          0x7ffee15809f5, 0x7ffee157ee9c, 0x7ffee157cd63, 0x7ffee1580b1c, 
          0x7ffee157fbb2, 0x7ffee157c321, 0x7ffee157ff8d, 0x7ffee157fed7, 
          0x7ffee1580370, 0x7ffee15802b6, 0x7ffee157e8e7, 0x7ffee157de94, 
          0x7ffee1580072, 0x7ffee157d400, 0x7ffee157d329, 0x7ffee157d252, 
          0x7ffee157e7e8, 0x7ffee157e73d, 0x7ffee157e697, 0x7ffee157e5f8, 
          0x7ffee157e358, 0x7ffee157e25a, 0x7ffee157e4fa, 0x7ffee157e141, 
          0x7ffee158060b, 0x7ffee158042a, 0x7ffee15804a0, 0x7ffee157eba2, 
          0x7ffee157ef28, 0x7ffee157d65c, 0x7ffee157d58d, 0x7ffee157c37e, 
          0x7ffee157a10e, 0x7ffee157c471, 0x7ffee157c31c, 0x7ffee157b95b, 
          0x7ffee157c379, 0x7ffee157c317, 0x7ffee158097c, 0x7ffee157c374, 
          0x7ffee15799ef, 0x7ffee15799ba, 0x7ffee1579919, 0x7ffee15799ef, 
          0x7ffee15799ba, 0x7ffee1579919, 0x7ffee157a178, 0x7ffee157a1ca, 
          0x7ffee157b960, 0x7ffee157db9d, 0x7ffee1579e38, 0x7ffee1579d09, 
          0x7ffee1579e38, 0x7ffee1579ca7, 0x7ffee1579ca7, 0x7ffee157cb2b, 
          0x7ffee157cae8, 0x7ffee157caa5, 0x7ffee157eb37, 0x7ffee157ca62, 
          0x7ffee157ca1f, 0x7ffee1580b21, 0x7ffee158082c, 0x7ffee157c95d, 
          0x7ffee157c842, 0x7ffee157fff0, 0x7ffee1580234, 0x7ffee157b136, 
          0x7ffee157c6ee, 0x7ffee157c5f7, 0x7ffee157c559, 0x7ffee157c4a4, 
          0x7ffee157ce75, 0x7ffee157cc51, 0x7ffee1580981, 0x7ffee15805b4, 
          0x7ffee157cdcf, 0x7ffee157a64c, 0x7ffee157d172, 0x7ffee157a6c5, 
          0x7ffee157d1e2, 0x7ffee157d8e4, 0x7ffee157b07d, 0x7ffee157f54c, 
          0x7ffee157f3f9, 0x7ffee157eccd, 0x7ffee157ec13, 0x7ffee157b56d, 
          0x7ffee157fc81, 0x7ffee157fbf6, 0x7ffee157fc99, 0x7ffee157fc0e, 
          0x7ffee157fc42, 0x7ffee157fbb7, 0x7ffee157fc8e, 0x7ffee157fc03, 
          0x7ffee157f903, 0x7ffee15808be, 0x7ffee15808e6, 0x7ffee15797f0, 
          0x7ffee1580571, 0x7ffee157fcb5, 0x7ffee157a1ca, 0x7ffee157c018, 
          0x7ffee157f95d, 0x7ffee157bee5, 0x7ffee157be38, 0x7ffee157b4d1, 
          0x7ffee157c0df, 0x7ffee157c08f, 0x7ffee1580913, 0x7ffee157c81f, 
          0x7ffee157edb0, 0x7ffee157a059, 0x7ffee1579d09, 0x7ffee157ddb1, 
          0x7ffee157ae52, 0x7ffee157ae52, 0x7ffee157f179, 0x7ffee157a79d, 
          0x7ffee157a79d, 0x7ffee157f1d3, 0x7ffee157b31f, 0x7ffee157bfaf, 
          0x7ffee1580936, 0x7ffee157d941, 0x7ffee157b54a, 0x7ffee157e8bf, 
          0x7ffee1580521, 0x7ffee157ccd9, 0x7ffee157d026, 0x7ffee157f0a2, 
          0x7ffee157a0b5, 0x7ffee1580a81, 0x7ffee15806c6, 0x7ffee158075f, 
          0x7ffee157e054, 0x7ffee157c144, 0x7ffee157d4d7, 0x7ffee157a0ac, 
          0x7ffee157cf42, 0x7ffee157c953, 0x7ffee157fac0, 0x7ffee157fa80, 
          0x7ffee157c03e, 0x7ffee157a005, 0x7ffee157e0fb, 0x7ffee157a73e, 
          0x7ffee157da06, 0x7ffee157d7a7, 0x7ffee157fc2e, 0x7ffee157d748, 
          0x7ffee157fc1a, 0x7ffee157cb6e, 0x7ffee157bddd, 0x7ffee157bd79, 
          0x7ffee157bd1f, 0x7ffee157bca0, 0x7ffee157f37d, 0x7ffee157f310, 
          0x7ffee157f2a5, 0x7ffee157a34f, 0x7ffee157a34f, 0x7ffee157b825, 
          0x7ffee157b751, 0x7ffee157a3db, 0x7ffee157a476, 0x7ffee157f7c0, 
          0x7ffee157b6ce, 0x7ffee157b61f, 0x7ffee157f03e, 0x7ffee157efde, 
          0x7ffee157c278, 0x7ffee157c1cc, 0x7ffee157f737, 0x7ffee157f6ae, 
          0x7ffee157f61d, 0x7ffee157ba6c, 0x7ffee157f5b9, 0x7ffee157f956, 
          0x7ffee157a476, 0x7ffee157d87d, 0x7ffee157ee57, 0x7ffee1579c68, 
          0x7ffee1579c68, 0x7ffee157b6ab, 0x7ffee157b683, 0x7ffee157dcb7, 
          0x7ffee1579c4f, 0x7ffee157a178, 0x7ffee157a3db, 0x7ffee157a10e, 
          0x7ffee157d0a9...}
        	interruptJumpTable = {0x7ffee15792b9 <repeats 230 times>}
        #14 0x00007ffee1587b55 in js_Invoke (cx=0x2244e00, argc=1, vp=0x21c1090, 
            flags=0) at jsinterp.c:1313
        	frame = {regs = 0x21c1170, spbase = 0x21c10a8, callobj = 0x0, 
          argsobj = 0x0, varobj = 0x0, callee = 0xbb5d40, script = 0x2841580, 
          fun = 0x9e0d20, thisp = 0x28e6cc0, argc = 1, argv = 0x21c10a0, 
          rval = -2147483647, nvars = 0, vars = 0x21c10a8, down = 0x0, 
          annotation = 0x0, scopeChain = 0x28e6cc0, sharpDepth = 0, sharpArray = 0x0, 
          flags = 1024, dormantNext = 0x0, xmlNamespace = 0x0, blockChain = 0x0}
        	sp = <value optimized out>
        	argv = (jsval *) 0x21c10a0
        	newvp = <value optimized out>
        	v = 12279104
        	funobj = (JSObject *) 0xbb5d40
        	parent = (JSObject *) 0x28e6cc0
        	ok = 0
        	clasp = (JSClass *) 0x0
        	ops = <value optimized out>
        	native = (JSNative) 0
        	fun = (JSFunction *) 0x9e0d20
        	script = (JSScript *) 0x2841580
        	nslots = 0
        	nvars = 0
        	skip = <value optimized out>
        	rootedArgsFlag = 1024
        	hook = (JSInterpreterHook) 0x1
        	hookData = (void *) 0x0
        #15 0x00007ffee1587eb9 in js_InternalInvoke (cx=0x2244e00, obj=0x28e6cc0, 
            fval=12279104, flags=0, argc=1, argv=<value optimized out>, 
            rval=0x7ffff815c7d8) at jsinterp.c:1369
        	invokevp = <value optimized out>
        	mark = (void *) 0x21c1090
        	ok = 0
        #16 0x00007ffee1553b01 in JS_CallFunctionValue (cx=0x21c5420, obj=0xd, 
            fval=138329, argc=<value optimized out>, argv=<value optimized out>, 
            rval=<value optimized out>) at jsapi.c:5054
        	ok = <value optimized out>
        #17 0x00007ffee267bbc3 in nsJSContext::CallEventHandler (this=0x1189140, 
            aTarget=0x26db160, aScope=<value optimized out>, aHandler=0xbb5d40, 
            aargv=0x290ca80, arv=0x7ffff815ca70) at nsJSEnvironment.cpp:1962
        	argv = (jsval *) 0x21c1088
        	ok = <value optimized out>
        	mark = (void *) 0x21c1078
        	argc = 1
        	ar = {mContext = 0x2244e00, mSaveDepth = 0}
        	rv = 0
        	target = (JSObject *) 0x28e6cc0
        	rval = -2147483647
        	stack = {<nsCOMPtr_base> = {mRawPtr = 0x9757a0}, <No data fields>}
        	ar = {mContext = 0x0, mSaveDepth = 0}
        #18 0x00007ffee26aeaae in nsJSEventListener::HandleEvent (this=0x26db260, 
            aEvent=0x256b2e8) at nsJSEventListener.cpp:248
        	rv = 0
        	iargv = {<nsCOMPtr_base> = {mRawPtr = 0x290ca80}, <No data fields>}
        	eventString = {<nsFixedString> = {<nsString> = {<nsAString_internal> = {<nsSubstring_base> = {<No data fields>}, mData = 0x287c308, mLength = 9, 
                mFlags = 65541}, <No data fields>}, mFixedCapacity = 63, 
            mFixedBuf = 0x7ffff815c8f0}, mStorage = {99, 111, 109, 109, 97, 110, 100, 
            0, 10112, 61441, 32766, 0, 3262, 58015, 32766, 0, 43744, 142, 0, 0, 60720, 
            58037, 0, 0, 60720, 58037, 32766, 0, 4795, 58015, 32766, 0, 28912, 143, 
            2047, 0, 64480, 61264, 32766, 0, 28912, 143, 0, 0, 48472, 57904, 32766, 0, 
            51584, 63509, 32767, 0, 0, 0, 0, 0, 12584, 144, 0, 0, 49816, 58017, 32766, 
            0}}
        	atomName = {<nsCOMPtr_base> = {mRawPtr = 0x1ebfa48}, <No data fields>}
        	funcval = {mObject = 0xbb5d40, mContext = {<nsCOMPtr_base> = {
              mRawPtr = 0x1189140}, <No data fields>}}
        	handledScriptError = <value optimized out>
        	vrv = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        #19 0x00007ffee25aaa14 in nsEventListenerManager::HandleEventSubType (
            this=0x26db1b0, aListenerStruct=0x26db1e8, aListener=0x26db260, 
            aDOMEvent=0x256b2e8, aCurrentTarget=0x26db160, 
            aPhaseFlags=<value optimized out>) at nsEventListenerManager.cpp:1080
        	result = 0
        	pusher = {mStack = {<nsCOMPtr_base> = {
              mRawPtr = 0x9757a0}, <No data fields>}, mScx = {<nsCOMPtr_base> = {
              mRawPtr = 0x1189140}, <No data fields>}, mScriptIsRunning = 0}
        #20 0x00007ffee25ab02b in nsEventListenerManager::HandleEvent (this=0x26db1b0, 
            aPresContext=0x24afca0, aEvent=0x7ffff815cf90, aDOMEvent=0x7ffff815cee0, 
            aCurrentTarget=0x26db160, aFlags=6, aEventStatus=0x7ffff815cee8)
            at nsEventListenerManager.cpp:1185
        	ls = (<anonymous struct> *) 0x26db1e8
        	useTypeInterface = 0
        	useGenericInterface = 1
        	hasListener = <value optimized out>
        	currentGroup = 0
        	typeData = (const EventTypeData *) 0x7ffee304cda0
        	dispData = (const EventDispatchData *) 0x7ffee2b62db8
        	iter = {<nsAutoTObserverArray<nsListenerStruct, 2u>::ForwardIterator> = {<nsAutoTObserverArray<nsListenerStruct, 2u>::Iterator> = {<nsTObserverArray_base::Iterator_base> = {mPosition = 1, mNext = 0x0}, 
              mArray = @0x26db1d0}, <No data fields>}, 
          mEnd = {<nsAutoTObserverArray<nsListenerStruct, 2u>::Iterator> = {<nsTObserverArray_base::Iterator_base> = {mPosition = 1, mNext = 0x7ffff815cd60}, 
              mArray = @0x26db1d0}, <No data fields>}}
        #21 0x00007ffee25c15e9 in nsEventTargetChainItem::HandleEvent (this=0x2868048, 
            aVisitor=@0x7ffff815ced0, aFlags=6) at nsEventDispatcher.cpp:210
        No locals.
        #22 0x00007ffee25c1704 in nsEventTargetChainItem::HandleEventTargetChain (
            this=0x2868208, aVisitor=@0x7ffff815ced0, aFlags=6, aCallback=0x0)
            at nsEventDispatcher.cpp:268
        	firstTarget = {<nsCOMPtr_base> = {
            mRawPtr = 0x26db160}, <No data fields>}
        	item = (nsEventTargetChainItem *) 0x2868048
        #23 0x00007ffee25c1b54 in nsEventDispatcher::Dispatch (
            aTarget=<value optimized out>, aPresContext=<value optimized out>, 
            aEvent=0x7ffff815cf90, aDOMEvent=0x0, aEventStatus=0x7ffff815d01c, 
            aCallback=0x0) at nsEventDispatcher.cpp:483
        	postVisitor = {<nsEventChainVisitor> = {mPresContext = 0x24afca0, 
            mEvent = 0x7ffff815cf90, mDOMEvent = 0x256b2e8, 
            mEventStatus = nsEventStatus_eIgnore, mItemFlags = 0, 
            mItemData = {<nsCOMPtr_base> = {
                mRawPtr = 0x0}, <No data fields>}}, <No data fields>}
        	topEtci = (nsEventTargetChainItem *) 0x2868208
        	rv = <value optimized out>
        	kungFuDeathGrip = {<nsCOMPtr_base> = {
            mRawPtr = 0x24afca0}, <No data fields>}
        	targetEtci = (nsEventTargetChainItem *) 0x2868048
        	status = <value optimized out>
        	preVisitor = {<nsEventChainVisitor> = {mPresContext = 0x24afca0, 
            mEvent = 0x7ffff815cf90, mDOMEvent = 0x0, 
            mEventStatus = nsEventStatus_eIgnore, mItemFlags = 0, 
            mItemData = {<nsCOMPtr_base> = {mRawPtr = 0x24710e0}, <No data fields>}}, 
          mCanHandle = 1 '\001', mForceContentDispatch = 1 '\001', 
          mRelatedTargetIsInAnon = 0 '\0', mParentTarget = {<nsCOMPtr_base> = {
              mRawPtr = 0x0}, <No data fields>}, 
          mEventTargetAtParent = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}}
        #24 0x00007ffee244c353 in PresShell::HandleDOMEventWithTarget (this=0x22171d0, 
            aTargetContent=0x26db160, aEvent=0x7ffff815cf90, aStatus=0x7ffff815d01c)
            at nsPresShell.cpp:5967
        	container = {<nsCOMPtr_base> = {mRawPtr = 0x249da08}, <No data fields>}
        #25 0x00007ffee2546f89 in nsXULMenuCommandEvent::Run (this=0x241b5f0)
            at nsXULPopupManager.cpp:2068
        	presContext = (class nsPresContext *) 0x24afca0
        	status = nsEventStatus_eIgnore
        	popupFrame = <value optimized out>
        	kungFuDeathGrip = {<nsCOMPtr_base> = {
            mRawPtr = 0x24b6c10}, <No data fields>}
        	shell = {<nsCOMPtr_base> = {mRawPtr = 0x22171d0}, <No data fields>}
        	commandEvent = {<nsInputEvent> = {<nsGUIEvent> = {<nsEvent> = {
                eventStructType = 32 ' ', message = 3000, refPoint = {x = 0, y = 0}, 
                time = 0, flags = 2055, userType = {<nsCOMPtr_base> = {
                    mRawPtr = 0x0}, <No data fields>}, target = {<nsCOMPtr_base> = {
                    mRawPtr = 0x26db160}, <No data fields>}, 
                currentTarget = {<nsCOMPtr_base> = {
                    mRawPtr = 0x26db160}, <No data fields>}, 
                originalTarget = {<nsCOMPtr_base> = {
                    mRawPtr = 0x26db160}, <No data fields>}}, 
              widget = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, 
              nativeMsg = 0x0}, isShift = 0, isControl = 0, isAlt = 0, isMeta = 0}, 
          sourceEvent = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}}
        	pm = (nsXULPopupManager *) 0x1ec02c0
        	popup = {<nsCOMPtr_base> = {mRawPtr = 0x26d7f40}, <No data fields>}
        	menuFrame = <value optimized out>
        #26 0x00007ffee2a20562 in nsThread::ProcessNextEvent (this=0x8db8a0, 
            mayWait=0, result=0x7ffff815d0ac) at nsThread.cpp:510
        	notifyGlobalObserver = 1
        	obs = {<nsCOMPtr_base> = {mRawPtr = 0x1e42288}, <No data fields>}
        	event = {<nsCOMPtr_base> = {mRawPtr = 0x241b5f0}, <No data fields>}
        	rv = 0
        #27 0x00007ffee29f66e6 in NS_ProcessPendingEvents_P (thread=0x8db8a0, 
            timeout=20) at nsThreadUtils.cpp:181
        	processedEvent = 1
        	rv = 0
        	start = 3193153014
        #28 0x00007ffee297b0cc in nsBaseAppShell::NativeEventCallback (this=0x1e42280)
            at nsBaseAppShell.cpp:121
        	hasPending = <value optimized out>
        	thread = (class nsIThread *) 0x8db8a0
        	prevVal = nsBaseAppShell::eEventloopNone
        #29 0x00007ffee2967a28 in nsAppShell::EventProcessorCallback (
            source=<value optimized out>, condition=<value optimized out>, 
            data=0x1e42280) at nsAppShell.cpp:69
        	c = 250 '
        #30 0x00007ffee7b9a892 in IA__g_main_context_dispatch (context=0x8811f0)
            at /build/buildd/glib2.0-2.16.5/glib/gmain.c:2012
        No locals.
        #31 0x00007ffee7b9e01d in g_main_context_iterate (context=0x8811f0, block=1, 
            dispatch=1, self=<value optimized out>)
            at /build/buildd/glib2.0-2.16.5/glib/gmain.c:2645
        	max_priority = 0
        	timeout = 0
        	some_ready = 1
        	nfds = 14
        	allocated_nfds = <value optimized out>
        	fds = (GPollFD *) 0x21c5420
        	__PRETTY_FUNCTION__ = "g_main_context_iterate"
        #32 0x00007ffee7b9e54d in IA__g_main_loop_run (loop=0x1650ec0)
            at /build/buildd/glib2.0-2.16.5/glib/gmain.c:2853
        	self = (GThread *) 0x848520
        	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
        #33 0x00007ffeeb5a1667 in IA__gtk_main ()
            at /scratch/build-area/gtk+2.0-2.12.11/gtk/gtkmain.c:1163
        	tmp_list = (GList *) 0x8b6000
        	functions = (GList *) 0x0
        	init = (GtkInitFunction *) 0x8a1d40
        	loop = (GMainLoop *) 0xd
        #34 0x000000000043a710 in main (argc=1, argv=<value optimized out>)
            at /scratch/build-area/epiphany-browser-2.22.3/src/ephy-main.c:753
        	program = <value optimized out>
        	option_context = (GOptionContext *) 0x27
        	option_group = <value optimized out>
        	proxy = <value optimized out>
        	error = (GError *) 0x0
        	user_time = 356694649
        	env = <value optimized out>
        	enable_pango = <value optimized out>
        #0  0x00007ffee712ed96 in poll () from /lib/libc.so.6
        

-- 
Sam Morris <sam@robots.org.uk>




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Thu, 02 Oct 2008 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 494058@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 02 Oct 2008 16:39:03 GMT) Full text and rfc822 format available.

Message #56 received at 494058@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Sam Morris <sam@robots.org.uk>, 494058@bugs.debian.org
Subject: Re: Bug#494058: epiphany-browser: Download window is broken
Date: Thu, 02 Oct 2008 18:36:46 +0200
[Message part 1 (text/plain, inline)]
Le jeudi 02 octobre 2008 à 17:15 +0100, Sam Morris a écrit :
> I can reproduce the hanging problem fairly easily.
> 
>  1. Open Page Info window
>  2. In a new tab, go to about:config
>  3. Try to modify a string value
>  4. Try to close the about:config tab

To me, this looks like #393837, which is triggered whenever you open a
chrome window with parameters.

If this issue is related to #393837, that would explain a lot, and
unfortunately would not ease its fixing...

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Thu, 02 Oct 2008 16:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 02 Oct 2008 16:57:02 GMT) Full text and rfc822 format available.

Message #61 received at 494058@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 494058@bugs.debian.org
Subject: Re: Bug#494058: epiphany-browser: Download window is broken
Date: Thu, 02 Oct 2008 17:54:23 +0100
On Thu, 2008-10-02 at 18:36 +0200, Josselin Mouette wrote:
> Le jeudi 02 octobre 2008 à 17:15 +0100, Sam Morris a écrit :
> > I can reproduce the hanging problem fairly easily.
> > 
> >  1. Open Page Info window
> >  2. In a new tab, go to about:config
> >  3. Try to modify a string value
> >  4. Try to close the about:config tab
> 
> To me, this looks like #393837, which is triggered whenever you open a
> chrome window with parameters.
> 
> If this issue is related to #393837, that would explain a lot, and
> unfortunately would not ease its fixing...

The backtrace is similar to the one on
<http://bugzilla.gnome.org/show_bug.cgi?id=535127> ... but maybe not
similar enough now that I look closely.

-- 
Sam Morris <sam@robots.org.uk>




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Thu, 30 Oct 2008 03:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Y Giridhar Appaji Nag <giridhar@appaji.net>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 30 Oct 2008 03:51:02 GMT) Full text and rfc822 format available.

Message #66 received at 494058@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <giridhar@appaji.net>
To: Sam Morris <sam@robots.org.uk>
Cc: 494058@bugs.debian.org
Subject: Re: Bug#494058: epiphany-browser: Download window is broken
Date: Thu, 30 Oct 2008 09:18:43 +0530
[Message part 1 (text/plain, inline)]
Hi Sam,

On 08/10/02 17:54 +0100, Sam Morris said ...
> On Thu, 2008-10-02 at 18:36 +0200, Josselin Mouette wrote:
> > Le jeudi 02 octobre 2008 à 17:15 +0100, Sam Morris a écrit :
> > > I can reproduce the hanging problem fairly easily.
> > > 
> > >  1. Open Page Info window
> > >  2. In a new tab, go to about:config
> > >  3. Try to modify a string value
> > >  4. Try to close the about:config tab

I understand that with the page info extension in use you are able to
reproduce this consistently, however, are you able to reproduce this bug
as originally stated without epiphany-extensions installed?

The reason I ask is because you also reported #492972 (sev: important)
on epiphany-extensions

And just to be in a position to narrow this down, would you be able to
start with a fresh epiphany install (where you don't have the settings,
the profile etc.) and still reproduce this as you had reported here [1].

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494058#10

I will also try to reproduce this on an AMD64 machine that I got access
to recently.

> > To me, this looks like #393837, which is triggered whenever you open a
> > chrome window with parameters.
> > 
> > If this issue is related to #393837, that would explain a lot, and
> > unfortunately would not ease its fixing...
> 
> The backtrace is similar to the one on
> <http://bugzilla.gnome.org/show_bug.cgi?id=535127> ... but maybe not
> similar enough now that I look closely.

Cheers,

Giridhar

-- 
Y Giridhar Appaji Nag | http://appaji.net/
[signature.asc (application/pgp-signature, inline)]

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Fri, 14 Nov 2008 01:03:03 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Fri, 14 Nov 2008 01:03:04 GMT) Full text and rfc822 format available.

Message #71 received at 494058-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 494058-close@bugs.debian.org
Subject: Bug#494058: fixed in epiphany-browser 2.22.3-8
Date: Fri, 14 Nov 2008 00:47:06 +0000
Source: epiphany-browser
Source-Version: 2.22.3-8

We believe that the bug you reported is fixed in the latest version of
epiphany-browser, which is due to be installed in the Debian FTP archive:

epiphany-browser-data_2.22.3-8_all.deb
  to pool/main/e/epiphany-browser/epiphany-browser-data_2.22.3-8_all.deb
epiphany-browser-dbg_2.22.3-8_amd64.deb
  to pool/main/e/epiphany-browser/epiphany-browser-dbg_2.22.3-8_amd64.deb
epiphany-browser-dev_2.22.3-8_all.deb
  to pool/main/e/epiphany-browser/epiphany-browser-dev_2.22.3-8_all.deb
epiphany-browser_2.22.3-8.diff.gz
  to pool/main/e/epiphany-browser/epiphany-browser_2.22.3-8.diff.gz
epiphany-browser_2.22.3-8.dsc
  to pool/main/e/epiphany-browser/epiphany-browser_2.22.3-8.dsc
epiphany-browser_2.22.3-8_all.deb
  to pool/main/e/epiphany-browser/epiphany-browser_2.22.3-8_all.deb
epiphany-gecko_2.22.3-8_amd64.deb
  to pool/main/e/epiphany-browser/epiphany-gecko_2.22.3-8_amd64.deb
epiphany-webkit_2.22.3-8_amd64.deb
  to pool/main/e/epiphany-browser/epiphany-webkit_2.22.3-8_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494058@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated epiphany-browser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 14 Nov 2008 01:02:08 +0100
Source: epiphany-browser
Binary: epiphany-browser epiphany-gecko epiphany-webkit epiphany-browser-data epiphany-browser-dev epiphany-browser-dbg
Architecture: source amd64 all
Version: 2.22.3-8
Distribution: unstable
Urgency: low
Maintainer: Josselin Mouette <joss@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 epiphany-browser - Intuitive web browser - dummy package
 epiphany-browser-data - Data files for the GNOME web browser
 epiphany-browser-dbg - Debugging symbols for the GNOME web browser
 epiphany-browser-dev - Development files for the GNOME web browser
 epiphany-gecko - Intuitive GNOME web browser - Gecko version
 epiphany-webkit - Intuitive GNOME web browser - webkit version
Closes: 494058
Changes: 
 epiphany-browser (2.22.3-8) unstable; urgency=low
 .
   * The “high hopes” release.
   * 22_nsNavHistory_hacks.patch: new patch. Backport hacks from 2.24 to
     prevent nsNavHistory from doing anything. Hopefully closes: #494058.
Checksums-Sha1: 
 4426be2b791d98283870e368955b0645317ebeb1 2044 epiphany-browser_2.22.3-8.dsc
 0ba0a8ccc6a33d710e856fa64877798f6bbfa812 49934 epiphany-browser_2.22.3-8.diff.gz
 11b75c8c55786b7af1aab4ecd37aea1c7a5165fd 551540 epiphany-gecko_2.22.3-8_amd64.deb
 6cd823c01874f75d9fc4bfbd31fa0f9a2af8b411 382542 epiphany-webkit_2.22.3-8_amd64.deb
 d565096de43ac7ebbeb391e8f74352ed538298e3 3047092 epiphany-browser-dbg_2.22.3-8_amd64.deb
 ca18ca9cb8a1cf17051134a3ceb951e0e3c24664 18278 epiphany-browser_2.22.3-8_all.deb
 5d0c71ab4eb114af08ed65821c07556145a3e335 6283266 epiphany-browser-data_2.22.3-8_all.deb
 875bef889bb08d3887fd1ccdca03dd3368ab0802 83780 epiphany-browser-dev_2.22.3-8_all.deb
Checksums-Sha256: 
 451b7f60ab1d04681c2b7c22bd927c6c4b966d6359191b4ba7026879a1d38a69 2044 epiphany-browser_2.22.3-8.dsc
 e078cd7db5411dc4d9628a05dbb8816778e21732b1037701fcd94ef8ca4692ac 49934 epiphany-browser_2.22.3-8.diff.gz
 8d9cf4ae094f1d9ab74ad5d4eec69ac6c4e9b36e13f7e77c3bb794688e31da41 551540 epiphany-gecko_2.22.3-8_amd64.deb
 ac141ae2a3026e73ccccc4c88d07868f139fd65b736907e8363432bb8984846e 382542 epiphany-webkit_2.22.3-8_amd64.deb
 ca387bee9792eea96ecc3c6b3c0764abc51520f6ccb9f7df67fdeb8a171a02e4 3047092 epiphany-browser-dbg_2.22.3-8_amd64.deb
 af73b800be791fee3ca0d02eaaeca564c51337d2fd139b43574c99b3973016a3 18278 epiphany-browser_2.22.3-8_all.deb
 7a54ed6f7868936f04a4d8eadbd8a85113c3e4a00d57714e65898aa224f4ced6 6283266 epiphany-browser-data_2.22.3-8_all.deb
 02d9152dedba5145c736185b30db78e1fbf8a88024f526e54542906e2062f2d4 83780 epiphany-browser-dev_2.22.3-8_all.deb
Files: 
 12e55052d88619237cc78d4290976c28 2044 gnome optional epiphany-browser_2.22.3-8.dsc
 37a508f3add35f8fc38cae76c3054aed 49934 gnome optional epiphany-browser_2.22.3-8.diff.gz
 d3212d900360b7601c64f2ccdb67ac80 551540 gnome optional epiphany-gecko_2.22.3-8_amd64.deb
 a32f97481b9829261c6923269f2e4ea0 382542 gnome optional epiphany-webkit_2.22.3-8_amd64.deb
 a99918f81e0327932c0a70635c96dfdc 3047092 gnome extra epiphany-browser-dbg_2.22.3-8_amd64.deb
 4a975adaf0a707bf5531a68ca0de0168 18278 gnome optional epiphany-browser_2.22.3-8_all.deb
 0c52a82afe44df0bc9c2005c4738f57f 6283266 gnome optional epiphany-browser-data_2.22.3-8_all.deb
 3e79618f6bef3ff843b466c4c54526a0 83780 devel optional epiphany-browser-dev_2.22.3-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJHMh9rSla4ddfhTMRAn7MAJoD+s1sqVKqrma5cl2Gwbh9cQZ9kgCgo19V
vb5H1V/Fvi1WQNvrpi8tfAc=
=SZDu
-----END PGP SIGNATURE-----





Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Fri, 14 Nov 2008 02:03:08 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Fri, 14 Nov 2008 02:03:09 GMT) Full text and rfc822 format available.

Message #76 received at 494058-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 494058-close@bugs.debian.org
Subject: Bug#494058: fixed in epiphany-browser 2.24.1-1
Date: Fri, 14 Nov 2008 01:32:05 +0000
Source: epiphany-browser
Source-Version: 2.24.1-1

We believe that the bug you reported is fixed in the latest version of
epiphany-browser, which is due to be installed in the Debian FTP archive:

epiphany-browser-data_2.24.1-1_all.deb
  to pool/main/e/epiphany-browser/epiphany-browser-data_2.24.1-1_all.deb
epiphany-browser-dbg_2.24.1-1_amd64.deb
  to pool/main/e/epiphany-browser/epiphany-browser-dbg_2.24.1-1_amd64.deb
epiphany-browser-dev_2.24.1-1_all.deb
  to pool/main/e/epiphany-browser/epiphany-browser-dev_2.24.1-1_all.deb
epiphany-browser_2.24.1-1.diff.gz
  to pool/main/e/epiphany-browser/epiphany-browser_2.24.1-1.diff.gz
epiphany-browser_2.24.1-1.dsc
  to pool/main/e/epiphany-browser/epiphany-browser_2.24.1-1.dsc
epiphany-browser_2.24.1-1_all.deb
  to pool/main/e/epiphany-browser/epiphany-browser_2.24.1-1_all.deb
epiphany-browser_2.24.1.orig.tar.gz
  to pool/main/e/epiphany-browser/epiphany-browser_2.24.1.orig.tar.gz
epiphany-gecko_2.24.1-1_amd64.deb
  to pool/main/e/epiphany-browser/epiphany-gecko_2.24.1-1_amd64.deb
epiphany-webkit_2.24.1-1_amd64.deb
  to pool/main/e/epiphany-browser/epiphany-webkit_2.24.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494058@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated epiphany-browser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 14 Nov 2008 00:21:27 +0100
Source: epiphany-browser
Binary: epiphany-browser epiphany-gecko epiphany-webkit epiphany-browser-data epiphany-browser-dev epiphany-browser-dbg
Architecture: source amd64 all
Version: 2.24.1-1
Distribution: experimental
Urgency: low
Maintainer: Josselin Mouette <joss@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 epiphany-browser - Intuitive web browser - dummy package
 epiphany-browser-data - Data files for the GNOME web browser
 epiphany-browser-dbg - Debugging symbols for the GNOME web browser
 epiphany-browser-dev - Development files for the GNOME web browser
 epiphany-gecko - Intuitive GNOME web browser - Gecko version
 epiphany-webkit - Intuitive GNOME web browser - webkit version
Closes: 469559 479427 494058
Changes: 
 epiphany-browser (2.24.1-1) experimental; urgency=low
 .
   * New upstream release.
     + Fixes Danish translation. Closes: #469559.
     + Hopefully fixes the loss of component registration.
       Closes: #494058.
   * Pass --disable-maintainer-mode.
   * Update build-dependencies.
   * Remove 2.22 specificities (from the gecko 1.9 migration) in
     dependencies.
   * Remove patches merged upstream:
     + 10_url_double-click.patch
     + 14_zoom-crash.patch
     + 15_certificates_oldapi.patch
     + 16_fix-notify-uninit-crash.patch
     + 17_print-scaling.patch
     + 19_passwords_crash.patch
   * Remove 18_gnome-vfs-for-helper-display.patch and drop gnome-vfs
     build dependency; gio is now the default method.
   * Refresh and update other patches.
   * Regenerate 99_autoreconf.patch.
   * Pass --as-needed to LDFLAGS. Closes: #479427.
     + Introduce 99_ltmain_as-needed.patch.
Checksums-Sha1: 
 ca617a78b7911fae0e43cf013f0d983867bfc767 2045 epiphany-browser_2.24.1-1.dsc
 2ed28d4a8f8c370b0d4f974dbbcfa8c48db2e1a6 8008174 epiphany-browser_2.24.1.orig.tar.gz
 cb4dac3c4ebf023ea362d0ccf13d0804ad13a606 34030 epiphany-browser_2.24.1-1.diff.gz
 25c8ea125b4d51af6b5ced42c2e27fd674f54ec3 550532 epiphany-gecko_2.24.1-1_amd64.deb
 b6743029200af85751899355f5bacfa4f20fe968 381832 epiphany-webkit_2.24.1-1_amd64.deb
 342f9441d1411080aa2cefe92e3454f0bfa50031 3026112 epiphany-browser-dbg_2.24.1-1_amd64.deb
 4b6ca748f48dce2fcadbc14529d5c84bec8b2c6c 18450 epiphany-browser_2.24.1-1_all.deb
 2307b4ef00395c1b158ba3d408829cd5183f0738 6418760 epiphany-browser-data_2.24.1-1_all.deb
 dc5a4b0afdab751938b286990a05725a517738f5 85102 epiphany-browser-dev_2.24.1-1_all.deb
Checksums-Sha256: 
 e4c88a28a08e87ff617b8313a7b36c9ba5715591c29cb99eead6d6910d669e6b 2045 epiphany-browser_2.24.1-1.dsc
 a773d89c3fe198d33e34680a9f86d99090ffcf396583be6812c53b37a15d76ba 8008174 epiphany-browser_2.24.1.orig.tar.gz
 22882a9f7bcb00eb7922976d9755474b989a93ad489a3057e5ab3899efb32c33 34030 epiphany-browser_2.24.1-1.diff.gz
 f66b539a85a2d21344f553e01de3668c42a7eb3b47d6d1328809f36f107c4b22 550532 epiphany-gecko_2.24.1-1_amd64.deb
 404aa7a7601c6de4a0239e3059b2da1518f3a640ed6bccab2b07a585f77e5ad0 381832 epiphany-webkit_2.24.1-1_amd64.deb
 ef024cf04740aad17c1923a2aad8308446745822d66953e5e915628dcbaad0de 3026112 epiphany-browser-dbg_2.24.1-1_amd64.deb
 08f81527334597531b13fe6c67839eba055b81aa7a305ebac60241e92d2d9324 18450 epiphany-browser_2.24.1-1_all.deb
 bdf6a098367b82d14d4a35cd5fb9b12979800a9d64cc53e4718dd495221dc390 6418760 epiphany-browser-data_2.24.1-1_all.deb
 b7bb4054693e47503dd582ee8f9c945eec25794cc4be7728556089ba53014775 85102 epiphany-browser-dev_2.24.1-1_all.deb
Files: 
 5f8cdb67f63f69529bb6ec47da825b6b 2045 gnome optional epiphany-browser_2.24.1-1.dsc
 ce43adc127e66f1e5ab0a91c06ddb07f 8008174 gnome optional epiphany-browser_2.24.1.orig.tar.gz
 ae7dbcc9f0bca2ec8c7a249c73331f90 34030 gnome optional epiphany-browser_2.24.1-1.diff.gz
 0417a40c7d1026ea78fc287830a694b4 550532 gnome optional epiphany-gecko_2.24.1-1_amd64.deb
 aa1a3fab3d0f6b2a38f4981583f26ac0 381832 gnome optional epiphany-webkit_2.24.1-1_amd64.deb
 b093abd36a7e0b22596b60841aab4bbd 3026112 gnome extra epiphany-browser-dbg_2.24.1-1_amd64.deb
 bd6b46790e3b176d7f6cb175a3eb4836 18450 gnome optional epiphany-browser_2.24.1-1_all.deb
 c19665270c19b50ffcbe11869af20aa1 6418760 gnome optional epiphany-browser-data_2.24.1-1_all.deb
 5c3a4bab1326331873ed0d07d9880b42 85102 devel optional epiphany-browser-dev_2.24.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJHNG5rSla4ddfhTMRAqlhAKD2cUn5XMKiUZJAvEKlNjg94ZoeXQCguetz
aoUWLAv/ZcUq5/tXViosJuM=
=+WM8
-----END PGP SIGNATURE-----





Tags removed: Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 22 Nov 2008 20:57:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Sun, 23 Nov 2008 10:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sun, 23 Nov 2008 10:57:04 GMT) Full text and rfc822 format available.

Message #83 received at 494058@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 494058@bugs.debian.org
Subject: Re: epiphany-browser: Download window is broken
Date: Sun, 23 Nov 2008 10:53:57 +0000
[Message part 1 (text/plain, inline)]
found 494058 2.22.3-8
thanks

Sadly I'm still seeing this bug with epiphany-browser 2.22.3-8. I've not
yet seen the other symptoms of the component registration bug however.

-- 
Sam Morris
http://robots.org.uk/

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[download-wrong.png (image/png, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug marked as found in version 2.22.3-8. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Sun, 23 Nov 2008 10:57:10 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.22.3-6. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Sun, 23 Nov 2008 11:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Sun, 23 Nov 2008 11:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sun, 23 Nov 2008 11:33:07 GMT) Full text and rfc822 format available.

Message #92 received at 494058@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 494058@bugs.debian.org
Subject: Re: epiphany-browser: Download window is broken
Date: Sun, 23 Nov 2008 11:27:07 +0000
[Message part 1 (text/plain, inline)]
Attached is the output generated by epiphany when NSPR_LOG_MODULES is
set to 'all:5'.

For good measure, epiphany also crashed when I closed it... maybe there
is a clue about that bug in there too. :)

-- 
Sam Morris
http://robots.org.uk/

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[nspr_log.gz (application/x-gzip, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#494058; Package epiphany-browser. (Thu, 04 Dec 2008 17:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 494058@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 04 Dec 2008 17:00:05 GMT) Full text and rfc822 format available.

Message #97 received at 494058@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Sam Morris <sam@robots.org.uk>, 494058@bugs.debian.org
Subject: Re: Bug#494058: epiphany-browser: Download window is broken
Date: Thu, 04 Dec 2008 17:57:14 +0100
[Message part 1 (text/plain, inline)]
Le dimanche 23 novembre 2008 à 10:53 +0000, Sam Morris a écrit :
> found 494058 2.22.3-8
> thanks
> 
> Sadly I'm still seeing this bug with epiphany-browser 2.22.3-8. I've not
> yet seen the other symptoms of the component registration bug however.

When exactly did you do the upgrade to 2.22.3-8 on this computer? I have
finally seen this bug for the first time, and it was right after the
upgrade to 2.22.3-8+b1, before I restarted epiphany.

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `epiphany-browser' to `epiphany-gecko'. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Fri, 19 Dec 2008 00:48:04 GMT) Full text and rfc822 format available.

Forcibly Merged 494058 509161. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Fri, 19 Dec 2008 00:48:05 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Mon, 22 Dec 2008 01:21:03 GMT) Full text and rfc822 format available.

Severity set to `important' from `serious' Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Mon, 22 Dec 2008 10:03:19 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 30 Jul 2009 19:57:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:46:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.